<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:optim="http://www.ibm.com/optim/audit/v11.3.0.0"
	xmlns:optimreport="http://www.ibm.com/optim/report/v11.3.0.0"
	xmlns:optimcommon="http://www.ibm.com/optim/common/v11.3.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<xsl:import href="CommonTemplates.xsl"/>
	<xsl:import href="InsertReportTemplates.xsl"/>
	<xsl:import href="InsertMaskingPolicy.xsl"/>
	<xsl:output method="html" indent="yes" version="4.0"
		doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />

	<!-- The code here is pulled from early implementations of the report. 					-->
	<!-- This WILL produce a report, but it will not be as robust and polished as Archive. -->
	<xsl:template match="optimreport:InsertReport | optimreport:insertReport">
		<xsl:param name="display">True</xsl:param>
		
		<!-- SET UP CLOSE/EXPAND BY DEFAULT-->
		<xsl:variable name="displayStyle">
			<xsl:choose>
				<xsl:when test="$display='True'">
					<xsl:text></xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>display:none</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<!--BEGIN SUMMARY SECTION-->
		<xsl:apply-templates select="optimreport:summary[@*]">
			<xsl:with-param name="display" select="$display"/>
		</xsl:apply-templates>
		<!--END SUMMARY SECTION-->
		
		<xsl:call-template name="anchorSetup">
			<xsl:with-param name="name">procdets</xsl:with-param>
		</xsl:call-template>
		<!--BEGIN TITLE BAR-->
		<xsl:call-template name="titleBar">
			<xsl:with-param name="name">Process Details</xsl:with-param>
			<xsl:with-param name="containerId">details_container</xsl:with-param>
			<xsl:with-param name="containerClass">details_container_class</xsl:with-param>
			<xsl:with-param name="anchor">procdets</xsl:with-param>
			<xsl:with-param name="closeByDefault">
				<xsl:choose>
					<xsl:when test="$display='True'">
						<xsl:text>false</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>true</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<!--END TITLE BAR-->
		
		<div id="details_container" class="section_container details_container_class" style="{$displayStyle}" inAllAction="true">
			<table class="insert_process_details">
				<!--BEGIN TABLE MAP-->
				<xsl:apply-templates select="./optimreport:tableMap"/>
				<xsl:apply-templates select="./optimreport:localTableMap"/>
				<!--END TABLE MAP-->

				<!--BEGIN SOURCE FILE-->
				<xsl:apply-templates select="./optimreport:file | ./optimreport:ExtractFile | ./optimreport:extractFile">
					<xsl:with-param name="tableName">Source File</xsl:with-param>
				</xsl:apply-templates>
				<!--END SOURCE FILE-->
				
				<!--BEGIN CONTROL FILE-->
				<xsl:apply-templates select="optimreport:controlFile"/>
				<!--END CONTROL FILE-->
			</table>
			<xsl:call-template name="insertEntities" />
		</div>
		
		<!-- BEGIN APPLY OTHER SECTIONS -->
		<xsl:if test="optimreport:dataMaskStatistics/optimreport:policyStatistics/optimreport:policyStatistic">
			<xsl:apply-templates select="optimreport:dataMaskStatistics" />
		</xsl:if>
		<!-- END APPLY OTHER SECTIONS -->
		
		<!-- Request Options Section -->
		<xsl:if test="optimreport:requestOptions/*">
			<xsl:apply-templates select="optimreport:requestOptions">
				<xsl:with-param name="display">False</xsl:with-param>
			</xsl:apply-templates>
		</xsl:if>

		<!-- DDL Statement Section -->
		<xsl:if test="optimreport:ddlStatements/*">
			<xsl:apply-templates select="optimreport:ddlStatements" />
		</xsl:if>
	</xsl:template>
	<!--  END InsertReport section -->
	

</xsl:stylesheet>

